Subject: Re: bug#15308: ls -lk reports bytes, not kibytes

From: Bruce Dubbs <[email-masked]>
Date: Sun, 08 Sep 2013 13:43:33 -0500

Paul Eggert wrote:
> Bruce Dubbs wrote:
>> I'm not sure what you are saying.  Is 'ls -lk' valid or not?
>
> Yes, it's valid.
>
>> I don't know what 'per-directory block counts' means.
>
> It's what's in the first line of output of "ls -l".
>
> $ ls -l
> total 5936
> ...
>
>> 'ls -lks file'  produces bytes
>
> It produces block counts in column 1, bytes in column 6.
> '-k' affects the former, not the latter.  -k is the default
> unless your environment has special settings, so normally
> specifying -k won't change the output.

OK, thanks Paul.  I still think the man page could use some clarification.

   -- Bruce